Mojolicious::Command::Author::generate::plugin(3)

NAME
Mojolicious::Command::Author::generate::plugin - Plugin generator command

SYNOPSIS
  Usage: APPLICATION generate plugin [OPTIONS] [NAME]

    mojo generate plugin
    mojo generate plugin TestPlugin
    mojo generate plugin -f MyApp::Plugin::AwesomeFeature

  Options:
    -f, --full   Do not prepend "Mojolicious::Plugin::" to the plugin name
    -h, --help   Show this summary of available options

DESCRIPTION
Mojolicious::Command::Author::generate::plugin generates directory structures for fully functional Mojolicious plugins.

This is a core command, that means it is always enabled and its code a good example for learning to build new commands, you're welcome to fork it.

See "COMMANDS" in Mojolicious::Commands for a list of commands that are available by default.

ATTRIBUTES
Mojolicious::Command::Author::generate::plugin inherits all attributes from Mojolicious::Command and implements the following new ones.

  description
  my $description = $plugin->description;
  $plugin         = $plugin->description('Foo');

Short description of this command, used for the command list.

  usage
  my $usage = $plugin->usage;
  $plugin   = $plugin->usage('Foo');

Usage information for this command, used for the help screen.

METHODS
Mojolicious::Command::Author::generate::plugin inherits all methods from Mojolicious::Command and implements the following new ones.

  run
  $plugin->run(@ARGV);

Run this command.

SEE ALSO
Mojolicious, Mojolicious::Guides, <https://mojolicious.org>.